Subject: Re: Trouble starting cron (solved)
From: [email-masked] (Will Parsons)
To: [email-masked]
Date: Fri, 2 Jul 2004 17:21:02 +0000 (UTC)

Igor Pechtchanski <[email-masked]> wrote:
> On Fri, 2 Jul 2004, Will Parsons wrote:
> 
>> I am trying to get cron working and am having difficulties.  I installed
>> the following minimal crontab:
>>
>> $ crontab -l
>> # DO NOT EDIT THIS FILE - edit the master and reinstall.
>> # (crontab.wbp installed on Tue Jun 29 07:47:31 2004)
>> # (Cron version -- $Id: crontab.c,v 1.7 2003/04/15 15:13:41 corinna Exp $)
>> 0,5,10,15,20,25,30,35,40,45,50,55 * * * * /usr/bin/date >> /tmp/date.log
>>
>> And installed cron using:
>>
>> $ cygrunsrv -I cron -p /usr/sbin/cron -a -D
>>
>> Trying to start:
>>
>> $ cygrunsrv -S cron
>> /usr/bin/cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error 1062:
>> The service has not been started.
>>
>> /var/log/cron shows:
>   ^^^^^^^^^^^^^
> This should be /var/log/cron.log, right?

Right.

> 
>> [569] cron started
> 
> A couple of other things to try -- look in the Windows Event log, and run
> the cron_diagnose.sh script (search the archives).  FWIW, your mounts look
> fine, so I'd suspect a permission problem of some sort.
> 	Igor

The Event log showed nothing, but running the script resulted in:

  cron_diagnose.sh 1.2

  Your computer does not appear to have a /etc/cron.d directory.
  Please investigate this problem, and run this script again.

Sure enough, after creating the directory cron now works.  Neat script.
Thanks!  (Shouldn't the installation have created the directory, though?)

- Will

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/